### Class

# GtkTextTagTable

#### Description [src]

    final class Gtk.TextTagTable : GObject.Object
      implements Gtk.Buildable {
      /* No available fields */
    }

The collection of tags in a `GtkTextBuffer`

You may wish to begin by reading the text widget conceptual overview, which gives an overview of all the objects and data types related to the text widget and how they work together.

# GtkTextTagTables as GtkBuildable

The `GtkTextTagTable` implementation of the `GtkBuildable` interface supports adding tags by specifying “tag” as the “type” attribute of a `<child>` element.

An example of a UI definition fragment specifying tags:

    <object class="GtkTextTagTable">
     <child type="tag">
       <object class="GtkTextTag"/>
     </child>
    </object>

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GtkBuildable

#### Constructors

###### gtk_text_tag_table_new

Creates a new `GtkTextTagTable`.

#### Instance methods

###### gtk_text_tag_table_add

Add a tag to the table.

###### gtk_text_tag_table_foreach

Calls `func` on each tag in `table`, with user data `data`.

###### gtk_text_tag_table_get_size

Returns the size of the table (number of tags)

###### gtk_text_tag_table_lookup

Look up a named tag.

###### gtk_text_tag_table_remove

Remove a tag from the table.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GtkBuildable (1)

###### gtk_buildable_get_buildable_id

Gets the ID of the `buildable` object.

#### Signals

###### Gtk.TextTagTable::tag-added

Emitted every time a new tag is added in the `GtkTextTagTable`.

###### Gtk.TextTagTable::tag-changed

Emitted every time a tag in the `GtkTextTagTable` changes.

###### Gtk.TextTagTable::tag-removed

Emitted every time a tag is removed from the `GtkTextTagTable`.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.